Skip to main content
`Ctrl`+`K`

# DMSwarmCopyPoint

Copy point pj to point pi in the `DMSWARM`

## Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmCopyPoint(DM dm, PetscInt pi, PetscInt pj)

Not Collective

## Input Parameters

- dm - a `DMSWARM`

- pi - the index of the point to copy

- pj - the point index where the copy should be located

## See Also

`DM`, `DMSWARM`, `DMSwarmRemovePoint()`

## Level

beginner

## Location

src/dm/impls/swarm/swarm.c

## Examples

src/ksp/ksp/tutorials/ex70.c

Index of all DMSwarm routines
Table of Contents for all manual pages
Index of all manual pages